'use strict';

var angular = require('angular');
require('../modules');
require('uiRouter');

var module = angular.module('devicemanager.services');

module.factory('PasswordVerifyService', function($http) {

  var PasswordVerifyService = {

    isTurePassword: function(userId, password) {
      var url = '/password/verify?userId=' + userId + '&passWord=' + password;
      return $http.get(url, {
        noContainUserToken: true
      }).then(function(response) {
        return response.data;
      });
    }

  };
  return PasswordVerifyService;
});
